package com.zjrs.zwnw.rlzysc.bpo.impl;

import org.mohrss.leaf.core.framework.domain.bpo.impl.BPOImpl;
import org.mohrss.leaf.core.framework.persistens.PageResult;
import com.zjrs.zwnw.rlzysc.blo.JyzxglBLO;
import com.zjrs.zwnw.rlzysc.bpo.JyzxglBPO;
import com.zjrs.zwnw.rlzysc.dto.*;
import org.springframework.stereotype.Service;

import jakarta.annotation.Resource;
import java.util.Map;

@Service
public class JyzxglBPOimpl extends BPOImpl implements JyzxglBPO {

    @Resource
    private JyzxglBLO jyzxglBLO;

    @Override
    public PageResult getJyzxglList(JyzxglQueryDTO dto) {
        return jyzxglBLO.getJyzxglList(dto);
    }

    @Override
    public String updateJyzxFbzt(ZjUDTO dto) {
        return jyzxglBLO.updateJyzxFbzt(dto);
    }

    @Override
    public String delJyzxXx(ZjDTO dto) {
        return jyzxglBLO.delJyzxXx(dto);
    }

    @Override
    public Map getJyzxXx(ZjQueryDTO dto) throws Exception {
        return jyzxglBLO.getJyzxXx(dto);
    }

    @Override
    public String saveJyzxXx(JyzxglUDTO dto) {
        return jyzxglBLO.saveJyzxXx(dto);
    }

    @Override
    public PageResult queryFjxxList(ZjQueryListDTO dto) {
        return jyzxglBLO.queryFjxxList(dto);
    }

    @Override
    public String saveFjxx(RsRlzyJyzxFjxxDTO dto) {
        return jyzxglBLO.saveFjxx(dto);
    }

    @Override
    public void deleteFjxx(ZjDTO dto) {
        jyzxglBLO.deleteFjxx(dto);
    }
}
